Class | Ramaze::Files
In: | lib/ramaze/files.rb
Parent: | Object

Class that makes it possible to easily use multiple public directories in your Ramaze application.

@author Michael Fellinger @since 14-03-2009

### Methods

<< call new sync

### Public Class methods

new(*roots)

Creates a new instance of the class, stores the given root directories and syncs the changes with Rack::Cascade.

@author Michael Fellinger @since 14-03-2009 @param [Array] *roots A set of root directories that contain a number of

     public directories.

### Public Instance methods

<<(path)

Adds a new path to the list of root directories.

@author Michael Fellinger @since 14-03-2009 @param [String] path The path to add to the existing root directories.

call(env)

Allows this class to be called as a Rack middleware.

@author Michael Fellinger @since 14-03-2009 @param [Hash] env Hash containing all the environment details.

sync()

Syncs the class with Rack::Cascade.

@author Michael Fellinger @since 14-03-2009

[Validate]